#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  Mps,
  vEs
} from "../../../../chunk-53NHAV3C.js";
import "../../../../chunk-IAWYWZSL.js";
import "../../../../chunk-IHX3I5SM.js";

// ../../boilerplates/cloudflare/dist/files/$TODO.md.js
async function getTodo(props) {
  const content = await vEs(props);
  const pmExec = Mps().exec;
  const todo = `
## Cloudflare Workers

Run [\`wrangler types\`](https://developers.cloudflare.com/workers/wrangler/commands/#types) to generate the \`worker-configuration.d.ts\` file:
\`\`\`sh
${pmExec} wrangler types
\`\`\`

> Re-run it whenever you change your Cloudflare configuration to update \`worker-configuration.d.ts\`.

Then commit \`worker-configuration.d.ts\`:
\`\`\`sh
git commit -am "add cloudflare types"
\`\`\`

See also: https://vike.dev/cloudflare#typescript
`;
  content.addMarkdownFeature(todo, "cloudflare");
  return content;
}
export {
  getTodo as default
};
